---
- name: Playbook to validate Catalyst upgrade
  hosts: Switch_Group
  gather_facts: False
  vars:
   new_version: 17.09.03
   new_image_ios: "cat9k_iosxe.{{ new_version }}.SPA.bin" 

  tasks: 

  - name: Gather new facts
    cisco.ios.ios_facts:
      gather_subset: hardware
    register: facts_output_new
    
  - name: New Version Check
    ansible.builtin.assert:
      that: new_version != facts_output_new['ansible_facts']['ansible_net_version']
      fail_msg: "Current version is {{ facts_output_new['ansible_facts']['ansible_net_version'] }}, no change needed."
      success_msg: "Device version needs to be changed."
